# libsoup

Soup is an HTTP library implementation in C.
It was originally part of a SOAP (Simple Object Access Protocol) implementation, but the SOAP code was later removed (and then later partially reimplemented...)

Soup uses GObjects and the glib main loop, and is designed to work well with Gtk/GNOME applications.
This enables GNOME applications to access HTTP servers on the network in a completely asynchronous fashion, very similar to the Gtk+ programming model (a synchronous operation mode is also supported for those who want it).

Soup also contains code to implement an HTTP/1.1 server.

Features:
* (Optionally) completely asynchronous
* Automatically caches connections
* SSL Support using GnuTLS
* Proxy support, including authentication and SSL tunneling
* Client support for Digest, NTLM, and Basic authentication
* Server support for Digest and Basic authentication

